*{
    font-family: "League Spartan";
    margin: 0;
    padding: 0;
}

p{
    color: #0000006a;
}

/* Header Section */

#header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 80px;
    background:  #E3E6F3;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;
}

#navbar{
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbar li{
    list-style: none;
    padding:  0 20px;
    position: relative;
}

#navbar li a{
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    color: #1a1a1a;
}

#navbar li a:hover,
#navbar li a.active{
    color: #088178;
}

#navbar li a.active::after,
#navbar li a:hover::after{
    content: "";
    width: 30%;
    height: 2px;
    background: #088178;
    position: absolute;
    bottom: -4px;
    left: 20px;
}

#mobile{
    display: none;
    align-items: center;
}

/* Hero Section */

/* #hero{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 80px;
    background: #E3E6F3;
} */

#hero{
    display: flex;
    /* grid-template-columns: 1 fr 1fr; */
    align-items: center;
    padding: 100px 80px;
    background: #E3E6F3;
    position: relative;
    height: 630px;

}

/* #hero #heroImage {
    position: relative;
} */


#heroModel{
    position: absolute;
    display: block;
    width: 65%;
    margin: -343px 3px;

}

#hero h4{
    font-size: 30px;
    padding-bottom: 15px;
}


#hero h2{
    font-size: 50px;
    font-weight: 600;
}

#hero h1{
    font-size: 60px;
    font-weight: 700;
    color: #088178;
}

#hero button{
    background-image: url(../img/button.png);
    background-color: transparent;
    color: #088178;
    border: 0;
    padding: 10px 80px 14px 65px;
    background-repeat: no-repeat;
    cursor: pointer;
    font-weight: 700;
    font-size: 20px;
}

/* Feature Section */

.section-p1{
    padding: 40px 80px;
}

#feature{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

#feature .fe-box{
    width: 180px;
    text-align: center;
    padding: 25px 15px;
    box-shadow: 20px 20px 34px rgba(0, 0, 0, 0.03);
    border: 1px solid #cce7d0;
    border-radius:4%;
    margin: 15px 0;
}

#feature .fe-box:hover{
    box-shadow: 10px 10px 54px rgba(70, 62, 221, 0.1);
}

#feature .fe-box img{
    width: 100%;
    margin-bottom: 10px;
}

#feature .fe-box h6{
    display: inline-block;
    padding: 9px 8px 6px 8px;
    line-height: 1;
    border-radius: 4px;
    color: #088178;
    background-color: #fddde4;
}

#feature .fe-box:nth-child(2) h6{
    background-color: #cdebbc;
}

#feature .fe-box:nth-child(3) h6{
    background-color: #d1e8f2;
}

#feature .fe-box:nth-child(4) h6{
    background-color: #cdd4f8;
}

#feature .fe-box:nth-child(5) h6{
    background-color: #f6dbf6;
}

#feature .fe-box:nth-child(6) h6{
    background-color: #fff2e5;
}

/* Featured Product Section */

#product1{
    text-align: center;
}

#product1 .pro-container{
    /* display: flex;
    justify-content: space-between;
    padding-top: 20px;
    flex-wrap: wrap; */
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    padding-top: 20px;
    padding-left: 3%;
}

#product1 h2{
    font-size: 50px;
    font-weight: 600;
}

#product1 .pro{
    width: 23%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid #cce7d0;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.03);
    margin: 15px 0;
    transition: 0.2s ease;
    position: relative;
}

#product1 .pro:hover{
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.06);
}

#product1 .pro img{
    width: 100%;
    border-radius: 20px;
}

#product1 .pro .des{
    text-align: start;
    padding: 10px 0;
}

#product1 .pro .des span{
    color: #606063;
    font-size: 12px;
}

#product1 .pro .des h5{
    padding-top: 7px;
    color: #1a1a1a;
    font-size: 14px;
}

#product1 .pro .des i{
    font-size: 12px;
    color: rgb(243, 181, 25);
}

#product1 .pro .des h4{
    padding-top: 7px;
    font-size: 15px;
    font-weight: 700;
    color: #088178;
}

#product1 .pro .cart{
    width: 40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50px;
    background-color: #e8f6ea;
    font-weight: 500;
    color: #088178;
    border: 1px solid #cce7d0;
    position: absolute;
    bottom: 30px;
    right: 10px;
}

/* Footer Section */

footer{
    /* display: flex;
    flex-wrap: wrap;
    justify-content: space-between; */
    display: grid;
    grid-template-columns: 1.5fr 1.5fr 1.5fr 1.5fr;
}

footer .col{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}

footer .logo{
    margin-bottom: 30px;
}

footer h4{
    font-size: 16px;
    font-weight: 600;
    padding-bottom: 20px;
}

footer p{
    font-size: 13px;
    margin: 0 0 8px 0;
}

footer a{
    font-size: 13px;
    text-decoration: none;
    color: #0000006a;
    margin-bottom: 10px;
}

footer .follow{
    margin-top: 20px;
}

footer .follow i{
    color: #465b52;
    padding-right: 4px;
    cursor: pointer;
}

footer .install .row{
    display: grid;
    grid-template-columns: 1fr 1fr; 
    padding-left: 10px;
}

footer .install .row img{
    width: 80%;
    border: 1px solid #088178;
    border-radius: 4px;
}

footer .install img{
    margin: 10px 0 15px 0;
}

/* Responsive for various devices */

@media (max-width:799px) {

    #header{
        width: 1024px;
    }

    .section-p1 {
        padding: 40px 40px;
    }

    #navbar {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        position: fixed;
        top: 0;
        right: -100px;
        height: 108vh;
        width: 50px;
        background-color: #E3E6F3;
        box-shadow: 0 40px 60px rgba(0, 0, 0, 0.1);
        padding: 80px 0 0 10px;
    }

    #navbar .active{
        right: 300px;
    }

    #navbar li{
       margin-bottom: 25px;
    }

    #mobile{
        display: flex;
        align-items: center;
    }
    
    #mobile i{
        color: #1a1a1a;
        font-size: 24px;
        padding-right: 210px;
    }

    #mobile a{
        color: #1a1a1a;
        padding-right: 20px;
    }

    #hero {
        width: 768px;
        padding: 100px 60px;
        height: 50vh;
        background-position: top 30% right 30%;
    }

    #hero #heroText h4{
        font-size: 24px;
    }

    #hero #heroText #headings h2{
        font-size: 40px;
    }

    #hero #heroText #headings h1{
        font-size: 50px;
    }

    #heroModel{
        /* padding: 120px 50px; */
        width: 80%;
        margin: -235px -200px;
    }

    #feature {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        margin: 10px -35px;
        /* display: flex;
        align-items: center; */
        /* justify-content: center; */
        /* width: 860px; */
    
        /* flex-wrap: wrap; */
    }

    #feature .fe-box {
        /* width: 180px;
        text-align: center;
        padding: 25px 15px;
        box-shadow: 20px 20px 34px rgba(0, 0, 0, 0.03);
        border: 1px solid #cce7d0;
        border-radius: 4%; */
        margin: 15px 35px;
    }

    #product1 .pro-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        padding-top: 20px;
        margin-left: 45px;
    }

    /* #product1 h2{
        margin-left: 100px;
    }

    #product1 p{
        margin-left: 100px;
    } */

    footer{
        margin-left: 90px;
        display: grid;
        grid-template-columns: 2fr 1fr 1fr;
    }

    .section-p1 .install{
        display: none;
    }
    

    /* .section-p1 .install{
        display: grid;
        grid-template-columns: 1fr; 
        padding-left: 10px;
    } */
    
    footer .install .row img{
        width: 80%;
        border: 1px solid #088178;
        border-radius: 4px;
    }
    
    footer .install img{
        margin: 10px 0 15px 0;
    }

    .follow{
        padding-top: 70px;
    }
}

@media (max-width:477px) {

    .section-p1{
        padding: 20px;
    }

    #header{
        padding: 10px 30px;
    }
    
    #hero {
        padding: 10 20px;
        background-position: 55%;
        position: relative;
        z-index: 1;
    }

    #heroModel{
        width: 70%;
        /* position: absolute; */
        z-index: -1;
        margin: -199px -220px;
    }

    #hero #heroText{
        margin: 0 -20px;
    }

    #hero #heroText h4{
        font-size: 24px;
    }

    #hero #heroText #headings h2{
        font-size: 32px;
    }

    #hero #heroText #headings h1{
        font-size: 38px;
    }

    #header{
        height: 50px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        padding: 20px 80px;
        background:  #E3E6F3;
        box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
        z-index: 999;
        position: sticky;
        top: 0;
        left: 0;
    }

    #header #mobile{
        position: absolute;
        margin: -8px 0;
        padding-right: 30px;
    }

    #feature {
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        flex-wrap: wrap;
        gap: 10px;
        
    }

    #feature .fe-box{
        height: 155px;
        width: 115px;
        border-radius: 7px;
        margin: 0 0 10px 10px;
    }

    #product1 .pro{
        width: 23%;
        min-width: 150px;
        padding: 10px 12px;
        margin: 10px -10px;
    }

    #product1 h2{
        white-space: nowrap;
        margin: 0 20px;
    }

    #product1 p{
        white-space: nowrap;
        margin: 0 60px;
    }

    footer{
        /* display: flex;
        flex-wrap: wrap;
        justify-content: space-between; */
        display: grid;
        grid-template-columns: 2fr 1fr 1fr;
        margin: 0 10px;
        gap: 5px;
    }
    
}